Subject: Re: cyggfortran-3.dll broken ?
From: marco atzeri <[email-masked]>
To: Dave Korn <[email-masked]>
Cc: [email-masked]
Date: Wed, 23 Mar 2011 17:36:07 +0100
List-Id: <cygwin.cygwin.com>

On Wed, Mar 23, 2011 at 5:27 PM, Dave Korn  wrote:
> On 23/03/2011 16:19, marco atzeri wrote:
>
>> May be as they are now available from cygwin-1.7.8 ?
>
>  Yes indeed (and this is why I didn't see any errors during the compiler
> testsuite), I just had a quick look at the libgfortran autoconfigury, it
> provides replacements for those functions when the standard libm doesn't
> contain them.  Now that they are in the cygwin dll, libgfortran doesn't need
> to provide them anymore but this has the unfortunate side-effect of breaking
> old executables, since on Windows an imported function reference in an
> executable has to specify not just the function name but also the particular
> DLL from which the import comes.
>
>  I imagine that on ELF platforms where the executable just has a list of
> undefined functions and a list of shared libs to load and the dynamic linker
> just satisfies an undefined symbol from whichever lib it first comes across a
> definition of it, this probably works without anything needing changing.  But
> we're stuck I'm afraid when exports move around like this.
>
>  Sorry, looks like you'll need to respin after all.
>
>    cheers,
>      DaveK
>

So I caused myself the problem as I added all those functions to cygwin....

Stay tuned for the octave respin.

Ehm, may be also respin of
libarpack0, liblapack0, libnetcdf6, libqrupdate0

Regards
Marco

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple